# pqxx::connectionpolicy Class Reference
[Connection classes]

`#include <connectionpolicy.hxx>`

Inheritance diagram for pqxx::connectionpolicy:

[legend]

List of all members.

## Protected Member Functions
handle | normalconnect (handle)
## Package Functions
| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () throw ()
const std::string & | options () const throw ()
virtual handle | do_startconnect (handle orig)
virtual handle | do_completeconnect (handle orig)
virtual handle | do_dropconnect (handle orig) throw ()
virtual handle | do_disconnect (handle orig) throw ()
virtual bool | is_ready (handle) const throw ()
## Package Attributes
| __pad0__:pq::PGconn *handle

## Constructor & Destructor Documentation

pqxx::connectionpolicy::connectionpolicy | ( | const std::string & | opts | ) | `[explicit, package]`

pqxx::connectionpolicy::~connectionpolicy | ( |  | ) | throw ()`[package, virtual]`

## Member Function Documentation

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_completeconnect | ( | handle | orig | ) | `[package, virtual]`

Reimplemented in pqxx::connect_lazy, and pqxx::connect_async.

Referenced by pqxx::connection_base::activate().

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_disconnect | ( | handle | orig | ) | throw ()`[package, virtual]`

Referenced by pqxx::connection_base::close(), pqxx::connection_base::deactivate(), pqxx::connection_base::disconnect(), pqxx::connect_async::do_completeconnect(), pqxx::connect_direct::do_startconnect(), and pqxx::connection_base::simulate_failure().

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_dropconnect | ( | handle | orig | ) | throw ()`[package, virtual]`

Reimplemented in pqxx::connect_async.

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_startconnect | ( | handle | orig | ) | `[package, virtual]`

Reimplemented in pqxx::connect_direct, and pqxx::connect_async.

Referenced by pqxx::connection_base::activate(), and pqxx::connection_base::init().

bool pqxx::connectionpolicy::is_ready | ( | handle | h | ) | const throw ()`[package, virtual]`

Reimplemented in pqxx::connect_async.

Referenced by pqxx::connection_base::init().

pqxx::connectionpolicy::handle pqxx::connectionpolicy::normalconnect | ( | handle | orig | ) | `[protected]`

References options().

Referenced by pqxx::connect_lazy::do_completeconnect(), and pqxx::connect_direct::do_startconnect().

const std ::string& pqxx::connectionpolicy::options | ( |  | ) | const throw ()`[package]`

Referenced by pqxx::connect_async::do_startconnect(), and normalconnect().

## Member Data Documentation

pqxx::connectionpolicy::__pad0__`[package]`

The documentation for this class was generated from the following files:

- connectionpolicy.hxx
- connection.cxx